Package org.jfree.layouting.normalizer.displaymodel

## Class FastDisplayModelBuilder

- java.lang.Object
- - org.jfree.layouting.normalizer.displaymodel.FastDisplayModelBuilder

- All Implemented Interfaces:
    `ModelBuilder`, `StatefullComponent`

      public class FastDisplayModelBuilder
      extends java.lang.Object
      implements ModelBuilder

  Creation-Date: Jan 5, 2007, 3:01:09 PM
  Author:
    Thomas Morgner

- - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `static int` | `FLAG_AUTOGENERATED` |
    `static int` | `MODEL_BLOCK_INSIDE` |
    `static int` | `MODEL_INLINE_INSIDE` |
    `static int` | `MODEL_TABLE` |
    `static int` | `MODEL_TABLE_COL` |
    `static int` | `MODEL_TABLE_COLGROUP` |
    `static int` | `MODEL_TABLE_ROW` |
    `static int` | `MODEL_TABLE_SECTION` |
    `static int` | `TYPE_BLOCK` |
    `static int` | `TYPE_FLOW` |
    `static int` | `TYPE_IGNORED` |
    `static int` | `TYPE_INLINE` |
    `static int` | `TYPE_MARKER` |
    `static int` | `TYPE_PARAGRAPH` |
    `static int` | `TYPE_RUBY` |
    `static int` | `TYPE_TABLE` |
    `static int` | `TYPE_TABLE_CAPTION` |
    `static int` | `TYPE_TABLE_CELL` |
    `static int` | `TYPE_TABLE_COL` |
    `static int` | `TYPE_TABLE_COLGROUP` |
    `static int` | `TYPE_TABLE_ROW` |
    `static int` | `TYPE_TABLE_SECTION` |

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `FastDisplayModelBuilder​()` |
    `FastDisplayModelBuilder​(ContentGenerator contentGenerator, LayoutProcess layoutProcess)` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `void` | `addContent​(ContentToken content)` |
    `void` | `endDocument​()` |
    `void` | `endElement​()` |
    `Renderer` | `getRenderer​()` |
    `void` | `handlePageBreak​(PageContext pageContext)` |
    `State` | `saveState​()` |
    `void` | `startDocument​(PageContext pageContext)` |
    `void` | `startElement​(LayoutContext layoutContext)` |

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### TYPE_BLOCK

          public static final int TYPE_BLOCK

      See Also:
        Constant Field Values

    - #### TYPE_INLINE

          public static final int TYPE_INLINE

      See Also:
        Constant Field Values

    - #### TYPE_MARKER

          public static final int TYPE_MARKER

      See Also:
        Constant Field Values

    - #### TYPE_RUBY

          public static final int TYPE_RUBY

      See Also:
        Constant Field Values

    - #### TYPE_TABLE

          public static final int TYPE_TABLE

      See Also:
        Constant Field Values

    - #### TYPE_TABLE_CELL

          public static final int TYPE_TABLE_CELL

      See Also:
        Constant Field Values

    - #### TYPE_TABLE_ROW

          public static final int TYPE_TABLE_ROW

      See Also:
        Constant Field Values

    - #### TYPE_TABLE_SECTION

          public static final int TYPE_TABLE_SECTION

      See Also:
        Constant Field Values

    - #### TYPE_TABLE_COLGROUP

          public static final int TYPE_TABLE_COLGROUP

      See Also:
        Constant Field Values

    - #### TYPE_TABLE_COL

          public static final int TYPE_TABLE_COL

      See Also:
        Constant Field Values

    - #### TYPE_TABLE_CAPTION

          public static final int TYPE_TABLE_CAPTION

      See Also:
        Constant Field Values

    - #### TYPE_IGNORED

          public static final int TYPE_IGNORED

      See Also:
        Constant Field Values

    - #### TYPE_PARAGRAPH

          public static final int TYPE_PARAGRAPH

      See Also:
        Constant Field Values

    - #### TYPE_FLOW

          public static final int TYPE_FLOW

      See Also:
        Constant Field Values

    - #### FLAG_AUTOGENERATED

          public static final int FLAG_AUTOGENERATED

      See Also:
        Constant Field Values

    - #### MODEL_BLOCK_INSIDE

          public static final int MODEL_BLOCK_INSIDE

      See Also:
        Constant Field Values

    - #### MODEL_INLINE_INSIDE

          public static final int MODEL_INLINE_INSIDE

      See Also:
        Constant Field Values

    - #### MODEL_TABLE

          public static final int MODEL_TABLE

      See Also:
        Constant Field Values

    - #### MODEL_TABLE_SECTION

          public static final int MODEL_TABLE_SECTION

      See Also:
        Constant Field Values

    - #### MODEL_TABLE_ROW

          public static final int MODEL_TABLE_ROW

      See Also:
        Constant Field Values

    - #### MODEL_TABLE_COLGROUP

          public static final int MODEL_TABLE_COLGROUP

      See Also:
        Constant Field Values

    - #### MODEL_TABLE_COL

          public static final int MODEL_TABLE_COL

      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### FastDisplayModelBuilder

          public FastDisplayModelBuilder​()

    - #### FastDisplayModelBuilder

          public FastDisplayModelBuilder​(ContentGenerator contentGenerator,
                                         LayoutProcess layoutProcess)

  - ### Method Detail

    - #### startDocument

          public void startDocument​(PageContext pageContext)
                             throws NormalizationException

      Specified by:
        `startDocument` in interface `ModelBuilder`
      Throws:
        `NormalizationException`

    - #### startElement

          public void startElement​(LayoutContext layoutContext)
                            throws NormalizationException,
                                   java.io.IOException

      Specified by:
        `startElement` in interface `ModelBuilder`
      Throws:
        `NormalizationException`
        `java.io.IOException`

    - #### addContent

          public void addContent​(ContentToken content)
                          throws NormalizationException

      Specified by:
        `addContent` in interface `ModelBuilder`
      Throws:
        `NormalizationException`

    - #### endElement

          public void endElement​()
                          throws NormalizationException

      Specified by:
        `endElement` in interface `ModelBuilder`
      Throws:
        `NormalizationException`

    - #### endDocument

          public void endDocument​()
                           throws NormalizationException

      Specified by:
        `endDocument` in interface `ModelBuilder`
      Throws:
        `NormalizationException`

    - #### handlePageBreak

          public void handlePageBreak​(PageContext pageContext)
                               throws NormalizationException

      Specified by:
        `handlePageBreak` in interface `ModelBuilder`
      Throws:
        `NormalizationException`

    - #### getRenderer

          public Renderer getRenderer​()

      Specified by:
        `getRenderer` in interface `ModelBuilder`

    - #### saveState

          public State saveState​()
                          throws StateException

      Specified by:
        `saveState` in interface `StatefullComponent`
      Throws:
        `StateException`